# -*- shell-script -*-
#
#  This file is part of Siena, a wide-area event notification system.
#  See http://www.inf.unisi.ch/carzaniga/siena/
#
#  Author: Antonio Carzaniga (firstname.lastname@unisi.ch)
#  See the file AUTHORS for full details. 
#
#  Copyright (C) 1998-2002 University of Colorado
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
#  USA, or send email to Antonio Carzaniga (firstname.lastname@unisi.ch).
#

#
# startserver <id> ka|udp|tcp|ssl <port> [master-id]
#
sserver () {
    id=$1
    shift
    conn=$1
    shift
    port=$1
    shift
    case "$1" in
	[0-9]*)
	    eval "master=\$siena$1"
	    master="-master $master"
	    shift
	    ;;
	*)
	    master=''
	    extra="$@"
	    ;;
    esac

    echo "starting server $id with $conn on port $port $master $extra..."

    $JAVA siena.StartServer -id S$id -$conn -port $port \
		-host localhost $master -log - $extra > server$id.log 2>&1 &
    cleanup_procs="$cleanup_procs $!"
    eval "siena${id}_pid=$!"
    cleanup_files="$cleanup_files server$id.log server$id.store"
    sleep 3
    eval "siena$id=$conn:localhost:$port"
}
